summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-605394-versioned-or-groups
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2011-02-03 15:37:41 +0100
committerMichael Vogt <michael.vogt@ubuntu.com>2011-02-03 15:37:41 +0100
commit931dcf2f960c6a2b117ab3cc847ce51c04e2140c (patch)
tree633dd1ca8e7e40cfa25d6227d9859b04bd9d1fad /test/integration/test-bug-605394-versioned-or-groups
parent7763525dea18d978a1df8eee4a517314ae49ca71 (diff)
parent7c748f4aa1bd47089672353fd1a401d1c5c94723 (diff)
merged from the debian-sid branch
Diffstat (limited to 'test/integration/test-bug-605394-versioned-or-groups')
-rwxr-xr-xtest/integration/test-bug-605394-versioned-or-groups25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/integration/test-bug-605394-versioned-or-groups b/test/integration/test-bug-605394-versioned-or-groups
new file mode 100755
index 000000000..0d7ad77f6
--- /dev/null
+++ b/test/integration/test-bug-605394-versioned-or-groups
@@ -0,0 +1,25 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+setupaptarchive
+
+testequal "Reading package lists...
+Building dependency tree...
+The following packages will be upgraded:
+ php5 php5-cgi
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Need to get 0 B/5715 kB of archives.
+After this operation, 0 B of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation." aptget dist-upgrade --trivial-only
+
+msgtest "Solution process doesn't involve" 'apache2-mpm-prefork'
+
+if aptget dist-upgrade --trivial-only -o Debug::pkgProblemResolver=1 -o Debug::pkgDepCache::Marker=1 2>&1 | grep apache2-mpm-prefork > /dev/null; then
+ msgfail
+else
+ msgpass
+fi